.header {
    z-index: 1200;
    position: relative;
    background: $white;

    &--absolute {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;
        background: transparent;

        &__account {

        }
    }

    &--border {
        border-bottom: 1px solid rgba(255, 255, 255, 0.11);
    }

    &__row {
        height: 90px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        display: block;
        font-size: 0;
        line-height: 0;
        width: 160px;
        flex-shrink: 0;
    }

    &__lng {
        display: none;
        font-size: 0;
        line-height: 0;
        margin-right: 15px;
    }

    &__nav {
        top: 0;
        left: 0;
        bottom: 0;
        width: 250px;
        z-index: 1500;
        display: block;
        position: fixed;
        padding: 60px 0;
        background: $blue;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        transform: translateX(-270px);
        transition: .3s;

        ul {
            margin: 0;
            padding: 0;
            list-style: none;
        }

        &--link {
            color: $white;
            display: block;
            white-space: nowrap;
            text-decoration: none;
            font-weight: 700;
            padding: 8px 32px 8px 32px;
            transition: .3s;

            &.active,
            &:hover {
                color: $yellow;
                text-decoration: none;
                transition: .3s;
            }
        }

        &--lng {
            font-size: 0;
            line-height: 0;
            padding: 20px 0 0 32px;
        }
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1450;
        opacity: 0;
        visibility: hidden;
        position: fixed;
    }

    &__content {
        display: flex;
        align-items: center;
    }

    &__social {
        margin: 0 20px 0 0;
        padding: 0;
        list-style: none;
        display: none;

        &--item {
            margin-right: 15px;

            &:last-child {
                margin-right: 0;
            }
        }

        &--link {
            width: 26px;
            height: 26px;
            font-size: 0;
            line-height: 0;
            border-radius: 50%;
            background: $yellow;
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
            transition: .3s;

            i {
                height: 14px;
                display: inline-block;
            }

            svg {
                fill: $white;
            }

            &:hover {
                background: $blue;
                transition: .3s;
            }
        }
    }

    &__account {
        margin: 0;
        width: 26px;
        height: 26px;
        position: relative;
        border-radius: 12px;
        white-space: nowrap;
        display: flex;
        align-items: center;
        justify-content: center;
        color: $white;
        flex-shrink: 0;
        font-weight: 600;
        font-size: size-rel(12px);
        line-height: size-rel(16px);

        &--icon {
            font-size: 0;
            line-height: 0;
            height: 26px;
            display: inline-block;
        }

        &--xs {
            height: 100%;
            display: inline-block;
        }

        &--md {
            height: 100%;
            display: none;
        }

        svg {
            fill: $yellow;
        }

        &--text {
            display: none;
            padding-left: 8px;
        }

        &:hover {
            color: $white;
        }
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
        margin-left: 15px;
    }

    @media (min-width: 360px) {

        &__logo {
            width: 220px;
        }
    }

    @include media-breakpoint-up(sm) {

        &__logo {
            width: 250px;
        }

        &__lng {
            display: block;
        }

        &__nav {

            &--lng {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__social {
            display: flex;
            align-items: center;
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            height: 100px;
        }

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }

        &__nav {
            top: auto;
            left: auto;
            bottom: auto;
            width: auto;
            position: relative;
            background: transparent;
            transform: none;

            ul {
                display: flex;
                align-items: center;
            }

            &--link {
                padding: 8px 12px;
                color: $black;
                display: inline-block;

                &.active,
                &:hover {
                    color: $yellow;
                }
            }
        }

        &--absolute {

            .header__nav {

                &--link {
                    color: $white;

                    &.active,
                    &:hover {
                        color: $yellow;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__account {
            width: auto;
            height: 36px;
            padding: 5px 20px;
            border-radius: 18px;
            background: $blue;
            transition: .3s;

            &--xs {
                display: none;
            }

            &--md {
                display: inline-block;
            }

            &--text {
                display: inline-block;
            }

            svg {
                fill: $white;
            }

            &:hover {
                background: $yellow;
                transition: .3s;
            }
        }

        &__nav {

            &--link {
                padding: 8px 32px;
            }
        }
    }
}

.hamburger {
    width: 20px;
    height: 19px;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    position: relative;
    display: inline-block;
    background: transparent;

    &__inner {
        top: calc(50% - 1.5px);
        left: calc(50% - 10px);
        width: 20px;
        height: 3px;
        position: absolute;
        transition-property: transform;
        transition-duration: .2s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: $yellow;

        &:after,
        &:before {
            left: calc(50% - 10px);
            width: 20px;
            height: 3px;
            content: '';
            display: inline-block;
            position: absolute;
            transition-property: transform;
            transition-duration: .15s;
            transition-timing-function: ease;
            border-radius: 3px;
            background-color: $yellow;
        }

        &:after {
            top: -8px;
        }

        &:before {
            bottom: -8px;
        }
    }

    &.hamburger-open {

        .hamburger__inner {
            background: transparent;
            transform: rotate(360deg);
            transition: .2s;

            &:after {
                top: 0;
                transform: rotate(45deg);
            }

            &:before {
                bottom: 0;
                transform: rotate(-45deg);
            }
        }
    }
}

.lng {
    font-size: 0;
    line-height: 0;
    z-index: 100;
    position: relative;
    display: inline-block;

    &__button {
        color: $white;
        height: 32px;
        cursor: pointer;
        font-weight: 600;
        font-size: size-rel(12px);
        line-height: size-rel(15px);
        align-items: center;
        position: relative;
        padding-right: 15px;
        text-transform: uppercase;
        display: flex;

        &--active {
            align-items: center;
            display: flex;

            i {
                width: 26px;
                height: 26px;
                font-size: 0;
                line-height: 0;
                display: inline-block;
            }

            span {
                width: 35px;
                padding-left: 8px;
                display: inline-block;
            }
        }

        &--arrow {
            right: 2px;
            top: 50%;
            height: 12px;
            font-size: 0;
            line-height: 0;
            margin-top: -6px;
            position: absolute;
            display: inline-block;

            svg {
                fill: $white;
            }
        }

        &:hover {
            color: $white;

            .lng__button--arrow {

                fill: $white;
            }
        }
    }

    &__dropdown {
        right: 0;
        opacity: 0;
        padding: 7px 0;
        font-weight: 600;
        visibility: hidden;
        font-size: size-rel(12px);
        line-height: size-rel(15px);
        top: calc(100% + 5px);
        position: absolute;
        background: $primary;

        a {
            color: #fff;
            padding: 5px 13px;
            text-decoration: none;
            display: flex;
            align-items: center;
            text-transform: uppercase;

            i {
                width: 15px;
                height: 15px;
                font-size: 0;
                line-height: 0;
                display: inline-block;
            }

            span {
                width: 35px;
                padding-left: 8px;
                display: inline-block;
            }

            &:hover {
                color: #DEB83A;
            }

            &.active {
                color: #DEB83A;
            }
        }
    }

    &.open {

        .lng__button {
            color: $white;

            &--arrow {
                stroke: $white;
                transform: rotate(180deg);
            }
        }

        .lng__dropdown {
            opacity: 1;
            visibility: visible;
        }
    }

    @include media-breakpoint-up(sm) {

        &__button {
            color: $yellow;

            svg {
                fill: $yellow;
            }

            &:hover {
                color: $yellow;

                svg {
                    fill: $yellow;
                }
            }
        }

        &__dropdown {
            background: $secondary;
        }

        &.open {

            .lng__button {
                color: $yellow;

                svg {
                    fill: $yellow;
                }

                &:hover {
                    color: $yellow;

                    svg {
                        fill: $yellow;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

    }
}

.nav-open {

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
    }

    .hamburger {

        &__inner {
            background: transparent;
            transform: rotate(360deg);
            transition: .2s;

            &:after {
                top: 0;
                transform: rotate(45deg);
            }

            &:before {
                bottom: 0;
                transform: rotate(-45deg);
            }
        }
    }
}
